<?php

namespace Framework\Foundation;

class ExceptionHandler implements \Framework\Contracts\ExceptionHandler
{
    public function render($request, $exception)
    {
     
        if($exception->getCode() === AJAX_EX_CODE) {
            return json_encode(pre_response_array($exception->getMessage(), false, null, null, $exception->getMessage()));
        }
        
        return json_encode(pre_response_array(
            $exception->getMessage(), false, 
            ['response_message' => APP_DEBUG ? $exception->getMessage() : 'Something went wrong while processing the request'], null, 
            $exception->getMessage())
        );
    }

    public function report($request, $exception)
    {
        // Can be send to sentry to db or any loggin system
    }

}
