<?php

namespace Framework\Listeners\Models;

class General {

    private $event;

    public function handle($event) {

        $this->event = $event;

        if (!in_array($this->event->payload['type'], ['error', 'create_table', 'general'])) {
            return;
        }
        
        $this->logEvent();
       
    }


    private function logEvent() {

        appLog(
            $this->event->payload['type'],
            $this->event->payload['log'],
            $this->event->payload['success']
        );
    }
}