<?php

namespace Framework\Middleware;

use Closure;

class StartMigrationTov4 implements \Framework\Contracts\Middleware {

    public function handle($request, Closure $next)
    {
        \Framework\Modules\Migration\FunnelConfig::migrate();
        \Framework\Modules\Migration\OfferConfig::migrate();
        \Framework\Modules\Migration\UsersJson::migrate();
    
        return $next($request);
    }
}
