<?php

namespace Framework\Models;


class Customer extends Model {

    protected function migrations() {

        if($this->tableSchema) return $this->tableSchema;

        $query = sprintf( "CREATE TABLE IF NOT EXISTS %s (", $this->table);
        $query .= "`id` INTEGER PRIMARY KEY /*!40101 AUTO_INCREMENT */, ";
        $query .= "`ip` varchar(100) DEFAULT NULL, ";
        $query .= "`user_agent` varchar(100) DEFAULT NULL, ";
        $query .= "`meta` text DEFAULT NULL, ";
        $query .= "`created_at` varchar(20) DEFAULT NULL, ";
        $query .= "`updated_at` varchar(20) DEFAULT NULL) ";

        return $query;
    }

    public function allMeta() {

        $customerMeta = new CustomerMeta;

        return $customerMeta->all($this->id);
    }

}