<?php

/**
* ModifiedFlxZipArchive to make a zip
*/
if(!class_exists('ZipArchive')) {
    throw new Exception("Please install ZipArchive library to proceed.", 1); 
}

class ModifiedFlxZipArchive extends ZipArchive {

    public function addDirDoo($location, $name , $prohib_filenames = false, $skipExtenison = []) {
        if (!file_exists($location)) {  die("maybe file/folder path incorrect");}
        
        $this->addEmptyDir($name);
        $name .= '/';
        $location .= '/';
        $dir = opendir ($location);   // Read all Files in Dir

        while ($file = readdir($dir)) {
            if ($file == '.' || $file == '..') continue;

            $fileCheck = explode("/", $name . $file);
            array_shift($fileCheck);
            $exPattern = '/bkp|backup|bckup|master|bck/i';

            if (!in_array( implode(DIRECTORY_SEPARATOR, $fileCheck)  , $prohib_filenames ) && 
            !preg_match($exPattern, implode(DIRECTORY_SEPARATOR, $fileCheck), $matches)    &&
            !in_array(pathinfo($location . $file)['extension'], $skipExtenison)) {

                if (filetype( $location . $file) == 'dir') {
                    $this->addDirDoo($location . $file, $name . $file, $prohib_filenames );
                }
                else {
                    $this->addFile($location . $file, $name . $file);
                }
            }
        }
    }
}
