<?php

// Define the API credentials and URL parameters
$limelight_api_username = 'Compliance_DEV';  // Replace with your actual username
$limelight_api_password = '9kh8QfrqJ3Pjb4';  // Replace with your actual password
$limelight_crm_instance = 'globalhealthsecure.limelightcrm.com';  // Instance URL provided
//$order_email = $order_email;  // The email that needs to be passed as the `value`

// Initialize cURL session
$Curl_Session = curl_init();

// Build the query string with only the email as a value for the 'value' parameter

$url = 'https://' . $limelight_crm_instance . '/api/v2/subscriptions/filter/email?value=' . urlencode($order_email);

//var_dump($url);

// Set the cURL options for the request
curl_setopt($Curl_Session, CURLOPT_URL, $url);
curl_setopt($Curl_Session, CURLOPT_RETURNTRANSFER, 1);  // Return response as a string
curl_setopt($Curl_Session, CURLOPT_SSL_VERIFYPEER, false);  // Disable SSL verification (for testing only, change to true in production)

// Set Authentication via headers (assuming Limelight requires this)
curl_setopt($Curl_Session, CURLOPT_HTTPHEADER, [
    'Authorization: Basic ' . base64_encode($limelight_api_username . ':' . $limelight_api_password)
]);

// Execute the request and capture the response
$content = curl_exec($Curl_Session);

// Check for cURL errors
if ($content === false) {
    echo 'cURL Error: ' . curl_error($Curl_Session);
} else {
    // Optionally, check HTTP status code
    $http_status = curl_getinfo($Curl_Session, CURLINFO_HTTP_CODE);
   // echo "HTTP Status Code: " . $http_status . "\n";

    // Output the raw response for debugging
   // echo "Response: " . $content . "\n";

    // Parse the response if it's in JSON format
    $data = [];
    if (!empty($content)) {
        // Try to decode JSON if the response is JSON
        $json_data = json_decode($content, true);

        if (json_last_error() === JSON_ERROR_NONE) {
            // If the response is valid JSON, store it in the $data array
            $data = $json_data;
        }
    }

    //Output parsed data
    // var_dump($data);
    
        // Extract the 'list' data
    $list = $json_data['data']['list'];
    
    // Create a new array with only 'id' and 'is_recurring'
    $simplified_list = [];
    
    foreach ($list as $subscription) {
        $simplified_list[] = [
            'id' => $subscription['id'],
            'is_recurring' => $subscription['is_recurring'],
            'order_id' => $subscription['order_id'],
             'email' => $subscription['email']
        ];
    }
    
    // echo '<pre>';
    // print_r($simplified_list);
    // echo '</pre>';

}

// Close cURL session
curl_close($Curl_Session);

 require_once "modify_subscription.php"; // $bodyContent 
?>
