<?php

namespace Framework\Listeners\Models;

class Create {

    private $event;

    public function handle($event) {

        $this->event = $event;
        
        if ($this->event->payload['type'] != 'create') {
            return;
        }
        
        $this->logEvent();
       
    }


    private function logEvent() {

        appLog(
            $this->event->payload['type'],
            $this->event->payload['log'],
            $this->event->payload['success']
        );
    }
}