<?php

namespace Framework\Modules;

use GuzzleHttp\Client;

class IpQualityScore
{

    public function __construct($end_point,$api_key)
    {
        $this->url  = rtrim($end_point,"/").'/'.'ip/'.$api_key.'/';
        $this->emailurl  = rtrim($end_point,"/").'/'.'email/'.$api_key.'/';
    }

    public function ipFraudScore($ipAddress){
        if(empty($_SESSION['IPQS_IP_SCORE'])){
            $httpClient         = new Client();
            $response           = $httpClient->get($this->url.$ipAddress);
            $body               = $response->getBody();
            $ipqualityscore     = json_decode($body->getContents(), true);
            $_SESSION['IPQS_IP_SCORE'] =  $ipqualityscore;
        }
        return $_SESSION['IPQS_IP_SCORE'];
    }

    public function emailFraudScore($emailAddress){
        if(empty($_SESSION['IPQS_EMAIl_SCORE'])){
            $httpClient         = new Client();
            $response           = $httpClient->get($this->emailurl.$emailAddress);
            $body               = $response->getBody();
            $emailfraudscore     = json_decode($body->getContents(), true);
            $_SESSION['IPQS_EMAIl_SCORE'] =  $emailfraudscore;
        }
        return $_SESSION['IPQS_EMAIl_SCORE'];
    }
}